de.esprit.common.gui.gridbag

## Interface GridBagConstants

- All Known Implementing Classes:
    ABOFieldPanel, AbstractFieldContainer, ActivityListControlPanel, AllFieldsPanel, AsyncTableLoadPanel, CalendarDateField, CalendarPanel, CalendarTimestampField, ClientRecordFieldPanel, CommandLineOptionPanel, DirectoryField, FieldPanel, FileField, FindStringDialog, GridBagPanel, GroupFieldPanel, HeaderPanel, LoadMeterScale, LogFrame, ProgressStatePanel, RecordFieldPanel, RemoteTableStepperPanel, RunningRemoteTasksListPanel, ServerProfilePanel, SpinnerField, TableStepperPanel, TankFieldPanel, TimeSpanField, UserFieldPanel, VarcharScrollField, YearChoice

      public interface GridBagConstants

  This interface provides abbreviations for GridBagConstraint constants just for ease of use and nicer code.
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Fill` | `BOTH`
    `static Anchor` | `C`
    `static Anchor` | `CENTER`
    `static Anchor` | `E`
    `static Anchor` | `EAST`
    `static Fill` | `HOR`
    `static Fill` | `HORIZONTAL`
    `static Anchor` | `N`
    `static Anchor` | `NE`
    `static Fill` | `NONE`
    `static Anchor` | `NORTH`
    `static Anchor` | `NORTHEAST`
    `static Anchor` | `NORTHWEST`
    `static Anchor` | `NW`
    `static int` | `REM`
    `static int` | `REMAINDER`
    `static Anchor` | `S`
    `static Anchor` | `SE`
    `static Anchor` | `SOUTH`
    `static Anchor` | `SOUTHEAST`
    `static Anchor` | `SOUTHWEST`
    `static Anchor` | `SW`
    `static Fill` | `VER`
    `static Fill` | `VERTICAL`
    `static Anchor` | `W`
    `static Anchor` | `WEST`

- - ### Field Detail

    - #### C

          static final Anchor C

    - #### W

          static final Anchor W

    - #### E

          static final Anchor E

    - #### S

          static final Anchor S

    - #### N

          static final Anchor N

    - #### NW

          static final Anchor NW

    - #### NE

          static final Anchor NE

    - #### SW

          static final Anchor SW

    - #### SE

          static final Anchor SE

    - #### CENTER

          static final Anchor CENTER

    - #### WEST

          static final Anchor WEST

    - #### EAST

          static final Anchor EAST

    - #### SOUTH

          static final Anchor SOUTH

    - #### NORTH

          static final Anchor NORTH

    - #### NORTHWEST

          static final Anchor NORTHWEST

    - #### NORTHEAST

          static final Anchor NORTHEAST

    - #### SOUTHWEST

          static final Anchor SOUTHWEST

    - #### SOUTHEAST

          static final Anchor SOUTHEAST

    - #### NONE

          static final Fill NONE

    - #### BOTH

          static final Fill BOTH

    - #### HOR

          static final Fill HOR

    - #### VER

          static final Fill VER

    - #### HORIZONTAL

          static final Fill HORIZONTAL

    - #### VERTICAL

          static final Fill VERTICAL

    - #### REM

          static final int REM

      See Also:
        Constant Field Values

    - #### REMAINDER

          static final int REMAINDER

      See Also:
        Constant Field Values

Copyright © 2014 EsprIT-Systems. All Rights Reserved.